@import "../../shared/scss/color.scss";

.professor-detail {
  padding: 80px 20px 20px 20px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  .sidebar {
    width: 25%;
    padding: 20px;
    background-color: $background-color;
    border-radius: 7px;
    .img {
      width: 100%;
      height: 200px;
      margin-bottom: 10px;
      border-radius: 7px;
      box-shadow: 1px 1px 5px gray;
      img {
        width: 100%;
        height: 100%;
        border-radius: 7px;
        object-fit: cover;
      }
    }
    .info {
      padding: 10px;
      background-color: #f9f9f9;
      margin-bottom: 10px;
      border-radius: 7px;
      box-shadow: 1px 1px 5px #cccccc;
      div {
        padding: 4px;
        p {
          span {
            font-size: 12px;
            color: $description-color;
            font-weight: bold;
            &:first-child {
              margin-left: 7px;
              font-size: 14px;
              font-weight: bold;
              color: $black-color;
            }
          }
        }
      }
      .icons {
        padding-top: 10px;
        p {
          width: 190px;
          margin: 0 auto;
          display: flex;
          justify-content: space-around;
          span {
            padding-left: 7px;
            margin-left: 0 !important;
            &:last-child {
              padding-left: 0;
            }
          }
        }
        img {
          width: 30px;
          height: 30px;
        }
        .show-link-text {
          padding: 7px;
          margin-top: 5px;
          background-color: #eeeeee;
          border-radius: 2px;
        }
      }
      .follow-btn {
        padding: 0;
        margin: 7px 0 4px 0;
        p {
          margin: 0 auto;
          text-align: center;
          border-radius: 7px;
          width: 100%;
          .follow {
            width: 120px;
            display: inline-block;
            margin: 0 auto;
            text-decoration: none;
            color: $white;
            background-color: $aqua-color;
            padding: 7px 20px;
            font-size: 12px;
            font-weight: bold;
            border-radius: 7px;
            border: 1px solid $aqua-color;
            cursor: pointer;
            box-shadow: 1px 1px 4px #bbbbbb;
            fa-icon {
              padding-left: 4px;
              font-size: 10px;
            }
          }
          .unfollow {
            width: 120px;
            margin: 0 auto;
            display: inline-block;
            text-decoration: none;
            color: $aqua-color;
            background-color: inherit;
            padding: 7px 20px;
            font-size: 12px;
            font-weight: bold;
            border-radius: 7px;
            border: 1px solid $aqua-color;
            cursor: pointer;
            fa-icon {
              padding-left: 4px;
              font-size: 10px;
            }
          }
        }
      }
    }
    .contact {
      padding: 10px;
      background-color: #f9f9f9;
      margin-bottom: 10px;
      border-radius: 7px;
      box-shadow: 1px 1px 5px #cccccc;
      div {
        padding: 4px;
        p {
          span {
            font-size: 12px;
            color: $description-color;
            font-weight: bold;
            &:first-child {
              color: $black-color;
              margin-left: 7px;
              font-size: 14px;
              font-weight: bold;
            }
          }
        }
      }
      .download-btn {
        margin: 15px auto 10px auto;
        text-align: center;
        a {
          width: 120px;
          margin: 0 auto;
          padding: 7px 20px;
          text-align: center;
          border-radius: 7px;
          border: 1px solid #777777;
          text-decoration: none;
          cursor: pointer;
          span {
            font-size: 12px;
            font-weight: bold;
            color: $black-color;
          }
          fa-icon {
            font-size: 12px;
            margin-left: 7px;
            color: $black-color;
          }
        }
      }
    }
  }

  .main {
    width: 74%;
    .tab-box {
      display: flex;
      padding: 0 0 10px 0;
      .tab {
        padding: 10px 25px;
        color: #555555;
        margin-left: 15px;
        background-color: $background-color;
        border-radius: 7px;
        font-size: 12px;
        font-weight: bold;
        transition: 0.2s all ease-in-out;
        cursor: pointer;
      }
    }
    .content-box {
      position: relative;
    }
  }
}

.active {
  background-color: $aqua-color !important;
  color: white !important;
}
.content-active {
  display: block !important;
}

.loader {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba($color: #000000, $alpha: 0.9);
  z-index: 999999;
  transition: 0.5s all;
}

.content-loader {
  width: 100%;
  height: 100%;
  min-height: 300px;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba($color: #ffffff, $alpha: 1);
  z-index: 999999;
  transition: 0.5s all;
  border-radius: 7px;
}
